

 export const TableColumns = [
    { item: { key: "orgName", title: "所属组织" ,width:150,}, attr: {} },
    { item: { key: "billCode", title: "单据编码" }, attr: {} },
   
    { item: { key: "status", title: "单据状态",width:120, }, 
      attr: {
        
        is: "el-dict-tag",
        dictName: "documents_status", // 字典名
      } 
    },
    {
      item: { key: "createName", title: "申请人",width:150, },
      attr: { },
    },
    { item: { key: "createTime", title: "申请时间",width:150, }, attr: {} },
    { 
      item: { key: "name", title: "物料名称" }, 
      attr: {} 
    },
    // { 
    //   item: { key: "materialCode", title: "物料编码" }, 
    //   attr: {
   
    //   } 
    // },
    { item: { key: "createName", title: "创建人" ,width:150, }, attr: {} },
    { item: { key: "createTime", title: "创建时间" ,width:150,}, attr: {} },
    {
      item: { key: "updateName", title: "最后修改人" ,width:150, },
      attr: {  },
    },
    { item: { key: "updateTime", title: "最后修改时间" ,width:150,}, attr: {} },
   
  ].map(({ item, attr }) => ({
    attr,
    item: { ...item, hidden: true, fixed: false },
  }));

 export const SearchColumns = [
    {
      item: { key: "billCode", title: "单据编码" },
      attr: {
        is: "el-input",
        clearable:true,
      },
    },
    {
      item: { key: "name", title: "物料名称" },
      attr: {
        is: "el-popover-select-v2",
        referName: "MATERIAL_PARAM",
        valueKey: "name",
        clearable:true,
      },
    },
    {
      item: { key: "status", title: "单据状态" },
      attr: {
        is: "el-select",
        dictName: "documents_status",
        clearable: true,
      },
    },
  
  ].map(({ item, attr }) => ({
    attr,
    item: { ...item, hidden: true, span: item.span || 6 },
  }));

